Package com.sun.mail.imap.protocol

## Class BODYSTRUCTURE

- java.lang.Object
- - com.sun.mail.imap.protocol.BODYSTRUCTURE

All Implemented Interfaces:
  `Item`

    public class BODYSTRUCTURE
    extends java.lang.Object
    implements Item

A BODYSTRUCTURE response.

Author:
  John Mani, Bill Shannon

### Field Summary

Fields
`java.lang.String` `attachment`
`BODYSTRUCTURE[]` `bodies`
`ParameterList` `cParams`
`java.lang.String` `description`
`java.lang.String` `disposition`
`ParameterList` `dParams`
`java.lang.String` `encoding`
`ENVELOPE` `envelope`
`java.lang.String` `id`
`java.lang.String[]` `language`
`int` `lines`
`java.lang.String` `md5`
`int` `msgno`
`int` `size`
`java.lang.String` `subtype`
`java.lang.String` `type`

### Constructor Summary

Constructors
`BODYSTRUCTURE​(FetchResponse r)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isMulti()`
`boolean` `isNested()`
`boolean` `isSingle()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### msgno

    public int msgno

#### type

    public java.lang.String type

#### subtype

    public java.lang.String subtype

#### encoding

    public java.lang.String encoding

#### lines

    public int lines

#### size

    public int size

#### disposition

    public java.lang.String disposition

#### id

    public java.lang.String id

#### description

    public java.lang.String description

#### md5

    public java.lang.String md5

#### attachment

    public java.lang.String attachment

#### cParams

    public ParameterList cParams

#### dParams

    public ParameterList dParams

#### language

    public java.lang.String[] language

#### bodies

    public BODYSTRUCTURE[] bodies

#### envelope

    public ENVELOPE envelope

### Constructor Detail

#### BODYSTRUCTURE

    public BODYSTRUCTURE​(FetchResponse r)
                  throws ParsingException

Throws:
  `ParsingException`

### Method Detail

#### isMulti

    public boolean isMulti()

#### isSingle

    public boolean isSingle()

#### isNested

    public boolean isNested()